Check Supported Tokens
curl --request GET \
--url https://staging.crossmint.com/api/v1-alpha2/tokens/{tokenLocator} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://staging.crossmint.com/api/v1-alpha2/tokens/{tokenLocator}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://staging.crossmint.com/api/v1-alpha2/tokens/{tokenLocator}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "solana:6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
"available": true,
"features": {
"creditCardPayment": true
}
}{
"error": true,
"message": "<string>",
"code": "single_purchase_exceeded",
"parameters": {
"amount": "<string>",
"limit": "<string>",
"hoursUntilReset": "<string>",
"remainingAmount": "<string>"
}
}{
"error": true,
"message": "Malformed API key. / API key provided doesn't have required scopes."
}{
"error": true,
"message": "Not found"
}{
"error": true,
"message": "Please try again in a few minutes. If the issue still persists, contact Crossmint support."
}{
"error": true,
"message": "A timeout occurred."
}Supported Assets
Check Token Support
Get a token by its locator
GET
/
v1-alpha2
/
tokens
/
{tokenLocator}
Check Supported Tokens
Authorizations
apiKeyclientApiKey
Path Parameters
A unique identifier used to locate a specific fungible token on a blockchain. Memecoin checkout supports the Solana and Base networks. Format: <network>:<tokenAddress> (e.g. base:0xa4a2e2ca3fbfe21aed83471d28b6f65a233c6e00).
Pattern:
^solana:[1-9A-HJ-NP-Za-km-z]{32,44}$Response
The token has been successfully retrieved.
Information regarding the token that was requested and its availability
The token locator that was queried
Example:
"solana:6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN"
Whether the token is supported by Crossmint
Example:
true
The features show if the token is supported for credit card payment.
Show child attributes
Show child attributes
Was this page helpful?

